<?php

/**
 * Bugs-in plugin
 *
 *
 * Created: 2007-02-24
 * Last update: 2007-03-06
 *
 * @link http://deboutv.free.fr/mantis/
 * @author DEBOUT Vincent  <deboutv@free.fr>
 */

define( 'PLUGINS_BUGSIN_ACCESS_LEVEL_DEFAULT', ADMINISTRATOR );

function plugins_bugsin_print_version_header( $p_version_id ) {
    $t_project_id = version_get_field( $p_version_id, 'project_id' );
    $t_version_name = version_get_field( $p_version_id, 'version' );
    $t_project_name = project_get_field( $t_project_id, 'name' );
    
    $t_release_title = string_display( $t_project_name ) . ' - ' . string_display( $t_version_name );
    echo $t_release_title, '<br />';
    echo str_pad( '', strlen( $t_release_title ), '=' ), '<br />';
    
    $t_description = version_get_field( $p_version_id, 'description' );
    if ( ( $t_description !== false ) && !is_blank( $t_description ) ) {
        echo string_display( "<br />$t_description<br /><br />" );
    }
}

if ( !function_exists( 'bug_cache_database_result' ) ) {
    function bug_cache_database_result( $p_bug_datebase_result, $p_stats = null ) {
        global $g_cache_bug;
        
        if ( isset( $g_cache_bug[ $p_bug_datebase_result['id'] ] ) ) {
            return $g_cache_bug[ $p_bug_datebase_result['id'] ];
        }	
        
        if( !is_int( $p_bug_datebase_result['date_submitted'] ) )
          $p_bug_datebase_result['date_submitted'] = db_unixtimestamp( $p_bug_datebase_result['date_submitted']['date_submitted'] );
        if( !is_int( $p_bug_datebase_result['last_updated'] ) )
          $p_bug_datebase_result['last_updated'] = db_unixtimestamp( $p_bug_datebase_result['last_updated'] );
        $g_cache_bug[ $p_bug_datebase_result['id'] ] = $p_bug_datebase_result;
        if( !is_null( $p_stats ) ) {
            $g_cache_bug[ $p_bug_datebase_result['id'] ]['_stats'] = $p_stats;
        }
    }
}

?>
